package com.sikey.wa04.business.domain.adapter;

import com.sikey.wa04.business.domain.entity.MessageCenter;
import com.sikey.wa04.common.enums.MessageCenterType;

import java.util.List;

/**
 * 消息中心接收适配器
 *
 * @author qin
 */
public interface MessageCenterAdapter {

    /**
     * 保存消息中心
     *
     * @param messageCenter 消息
     * @return
     */
    void save(MessageCenter messageCenter, MessageCenterType messageType);

    List<MessageCenter> findMessageCenterByChild(List<String> childrenId);

    void deleteMessages(String childrenId, Integer messageType);

}
